Bug 988575 - 3.3 (3.0.0-5.0.5) oVirt-node: Cannot install - Exception: RunTimeError('Failed to partition/format')
3.3 (3.0.0-5.0.5) oVirt-node: Cannot install - Exception: RunTimeError('Fail...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
3.3
All Linux
high Severity high
: ---
: 3.4.1
Assigned To: Fabian Deutsch
bugs@ovirt.org
node
: Reopened
Depends On:
Blocks: 1033287
  Show dependency treegraph
 
Reported: 2013-07-25 17:16 EDT by Douglas Schilling Landgraf
Modified: 2014-04-30 06:31 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-30 06:31:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ovirt-debuglog (44.16 KB, application/octet-stream)
2013-09-20 07:27 EDT, Darren Paxton
no flags Details
/var/log/ovirt.log (2.79 KB, text/plain)
2013-09-20 07:28 EDT, Darren Paxton
no flags Details
/tmp/ovirt.log (68.56 KB, text/plain)
2013-09-20 07:28 EDT, Darren Paxton
no flags Details
Nov22 2013 ovirt-node.log (7.40 KB, text/x-log)
2013-11-22 07:14 EST, Douglas Schilling Landgraf
no flags Details
Nov22 2013 ovirt.log (1.38 KB, text/x-log)
2013-11-22 07:15 EST, Douglas Schilling Landgraf
no flags Details

  None (edit)
Description Douglas Schilling Landgraf 2013-07-25 17:16:58 EDT
Description of problem:

Cannot install ovirt-node-iso-3.0.0-5.0.5.vdsm.fc19.iso.

Step 2 failed in partitioning, error message:

Exception: RunTimeError('Failed to partition/format')


/tmp/ovirt.log
==================
/sbin/restorecon:  Warning no default label for /var/tmp/systemd-private-LcOTrJ
/sbin/restorecon:  Warning no default label for /var/tmp/systemd-private-LcOTrJ/tmp
/sbin/restorecon:  Warning no default label for /tmp/ovirt.log
/sbin/restorecon:  Warning no default label for /tmp/systemd-private-o2YFaz
/sbin/restorecon:  Warning no default label for /tmp/systemd-private-o2YFaz/tmp
/sbin/restorecon:  Warning no default label for /tmp/.Test-unix
/sbin/restorecon:  Warning no default label for /tmp/.XIM-unix
/sbin/restorecon:  Warning no default label for /dev/mqueue
/sbin/restorecon:  Warning no default label for /dev/pts/ptmx
/sbin/restorecon set context /usr/lib/modules->unconfined_u:object_r:modules_object_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/systemd-vdsmd->unconfined_u:object_r:init_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd.socket->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/firewalld.service->unconfined_u:object_r:firewalld_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/auditd.service->unconfined_u:object_r:auditd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/kdump.service->unconfined_u:object_r:kdump_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd-keygen.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd@.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/systemd-vdsm-reg->unconfined_u:object_r:init_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sa1->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sa2->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sadc->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-unicore32->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/kdumpctl->unconfined_u:object_r:kdumpctl_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-kvm->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/passwd->unconfined_u:object_r:passwd_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon reset /dev/.initramfs context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/rwtab context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var/lib context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var/lib/dhclient context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc/sysconfig context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc/sysconfig/network-scripts context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/.need_shutdown context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/live-baseloop context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/squashfs context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/squashfs.osmin context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/livedev context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /usr/lib/modules context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:modules_object_t:s0
/sbin/restorecon reset /usr/lib/systemd/systemd-vdsmd context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:init_exec_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd.socket context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/firewalld.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:firewalld_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/auditd.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:auditd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/kdump.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:kdump_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd-keygen.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd@.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/systemd-vdsm-reg context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:init_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sa1 context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sa2 context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sadc context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-unicore32 context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/kdumpctl context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:kdumpctl_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-kvm context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/passwd context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:passwd_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-x86_64 contex/sbin/restorecon set context /usr/bin/qemu-system-x86_64->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-i386->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-moxie->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /data2->unconfined_u:object_r:default_t:s0 failed:'Read-only file system'
/sbin/restorecon:  Warning no default label for /run/anytermd.pid
/sbin/restorecon:  Warning no default label for /run/multipathd.pid
/sbin/restorecon:  Warning no default label for /run/lvmetad.pid
/sbin/restorecon:  Warning no default label for /run/lock/subsys
/sbin/restorecon:  Warning no default label for /run/lock/subsys/ovirt-firstboot
/sbin/restorecon:  Warning no default label for /run/initramfs
/sbin/restorecon:  Warning no default label for /run/initramfs/rwtab
/sbin/restorecon:  Warning no default label for /run/initramfs/state
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var/lib
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var/lib/dhclient
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig/network-scripts
/sbin/restorecon:  Warning no default label for /run/initramfs/.need_shutdown
/sbin/restorecon:  Warning no default label for /run/initramfs/live-baseloop
/sbin/restorecon:  Warning no default label for /run/initramfs/squashfs
/sbin/restorecon:  Warning no default label for /run/initramfs/squashfs.osmin
/sbin/restorecon:  Warning no default label for /run/initramfs/livedev
t unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-i386 context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-moxie context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /boot-kdump context system_u:object_r:boot_t:s0->system_u:object_r:default_t:s0
/sbin/restorecon reset /data2 context unconfined_u:object_r:root_t:s0->unconfined_u:object_r:default_t:s0
2013-07-25 21:05:15,598 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:15,606 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:15,646 - DEBUG - ovirtfunctions - Translating: /dev/sda
2013-07-25 21:05:15,670 - DEBUG - ovirtfunctions - Translated to: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:21,179 - DEBUG - ovirtfunctions - Translating: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:21,329 - DEBUG - ovirtfunctions - Translating: QEMU_HARDDISK_QM00001
2013-07-25 21:05:21,348 - DEBUG - ovirtfunctions - Translated to: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:21,348 - DEBUG - ovirtfunctions - Translating: /dev/sr0
2013-07-25 21:05:21,369 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:21,386 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:21,432 - DEBUG - ovirtfunctions - Translating: /dev/sda
2013-07-25 21:05:21,461 - DEBUG - ovirtfunctions - Translated to: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:27,387 - DEBUG - ovirtfunctions - Translating: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:27,502 - DEBUG - ovirtfunctions - Translating: QEMU_HARDDISK_QM00001
2013-07-25 21:05:27,523 - DEBUG - ovirtfunctions - Translated to: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:27,523 - DEBUG - ovirtfunctions - Translating: /dev/sr0
2013-07-25 21:05:40,627 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:40,648 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:44,297 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:44,310 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:44,335 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:44,344 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:05:49,841 - DEBUG - ovirtfunctions - Translating: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:49,841 - DEBUG - ovirtfunctions - Translating: /dev/mapper/QEMU_HARDDISK_QM00001
2013-07-25 21:05:49,841 - DEBUG - ovirtfunctions - Translating: /dev/mapper/QEMU_HARDDISK_QM00001
Comment 1 Douglas Schilling Landgraf 2013-07-25 17:36:18 EDT
The above /tmp/ovirt.log is on IDE, below on VirtIO (both doesn't show pvs or vgs)

/sbin/restorecon:  Warning no default label for /var/tmp/systemd-private-9jlW6J
/sbin/restorecon:  Warning no default label for /var/tmp/systemd-private-9jlW6J/tmp
/sbin/restorecon:  Warning no default label for /tmp/ovirt.log
/sbin/restorecon:  Warning no default label for /tmp/systemd-private-6Oc9Iy
/sbin/restorecon:  Warning no default label for /tmp/systemd-private-6Oc9Iy/tmp
/sbin/restorecon:  Warning no default label for /tmp/.Test-unix
/sbin/restorecon:  Warning no default label for /tmp/.XIM-unix
/sbin/restorecon:  Warning no default label for /dev/mqueue
/sbin/restorecon:  Warning no default label for /dev/pts/ptmx
/sbin/restorecon set context /usr/lib/modules->unconfined_u:object_r:modules_object_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/systemd-vdsmd->unconfined_u:object_r:init_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd.socket->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/firewalld.service->unconfined_u:object_r:firewalld_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/auditd.service->unconfined_u:object_r:auditd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/kdump.service->unconfined_u:object_r:kdump_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd-keygen.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/system/sshd@.service->unconfined_u:object_r:sshd_unit_file_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib/systemd/systemd-vdsm-reg->unconfined_u:object_r:init_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sa1->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sa2->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/lib64/sa/sadc->unconfined_u:object_r:sysstat_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-unicore32->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/kdumpctl->unconfined_u:object_r:kdumpctl_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-kvm->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/passwd->unconfined_u:object_r:passwd_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon reset /dev/.initramfs context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/rwtab context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var/lib context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/var/lib/dhclient context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc/sysconfig context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/state/etc/sysconfig/network-scripts context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/.need_shutdown context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/live-baseloop context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/squashfs context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/squashfs.osmin context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /dev/.initramfs/livedev context system_u:object_r:tmpfs_t:s0->system_u:object_r:device_t:s0
/sbin/restorecon reset /usr/lib/modules context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:modules_object_t:s0
/sbin/restorecon reset /usr/lib/systemd/systemd-vdsmd context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:init_exec_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd.socket context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/firewalld.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:firewalld_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/auditd.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:auditd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/kdump.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:kdump_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd-keygen.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/system/sshd@.service context unconfined_u:object_r:systemd_unit_file_t:s0->unconfined_u:object_r:sshd_unit_file_t:s0
/sbin/restorecon reset /usr/lib/systemd/systemd-vdsm-reg context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:init_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sa1 context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sa2 context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/lib64/sa/sadc context unconfined_u:object_r:lib_t:s0->unconfined_u:object_r:sysstat_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-unicore32 context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/kdumpctl context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:kdumpctl_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-kvm context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/passwd context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:passwd_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-x86_64 contex/sbin/restorecon set context /usr/bin/qemu-system-x86_64->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-i386->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /usr/bin/qemu-system-moxie->unconfined_u:object_r:qemu_exec_t:s0 failed:'Read-only file system'
/sbin/restorecon set context /data2->unconfined_u:object_r:default_t:s0 failed:'Read-only file system'
/sbin/restorecon:  Warning no default label for /run/anytermd.pid
/sbin/restorecon:  Warning no default label for /run/multipathd.pid
/sbin/restorecon:  Warning no default label for /run/lvmetad.pid
/sbin/restorecon:  Warning no default label for /run/lock/subsys
/sbin/restorecon:  Warning no default label for /run/lock/subsys/ovirt-firstboot
/sbin/restorecon:  Warning no default label for /run/initramfs
/sbin/restorecon:  Warning no default label for /run/initramfs/rwtab
/sbin/restorecon:  Warning no default label for /run/initramfs/state
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var/lib
/sbin/restorecon:  Warning no default label for /run/initramfs/state/var/lib/dhclient
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig
/sbin/restorecon:  Warning no default label for /run/initramfs/state/etc/sysconfig/network-scripts
/sbin/restorecon:  Warning no default label for /run/initramfs/.need_shutdown
/sbin/restorecon:  Warning no default label for /run/initramfs/live-baseloop
/sbin/restorecon:  Warning no default label for /run/initramfs/squashfs
/sbin/restorecon:  Warning no default label for /run/initramfs/squashfs.osmin
/sbin/restorecon:  Warning no default label for /run/initramfs/livedev
t unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-i386 context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /usr/bin/qemu-system-moxie context unconfined_u:object_r:bin_t:s0->unconfined_u:object_r:qemu_exec_t:s0
/sbin/restorecon reset /boot-kdump context system_u:object_r:boot_t:s0->system_u:object_r:default_t:s0
/sbin/restorecon reset /data2 context unconfined_u:object_r:root_t:s0->unconfined_u:object_r:default_t:s0
2013-07-25 21:25:29,591 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:25:29,601 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:25:29,657 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:25:34,887 - DEBUG - ovirtfunctions - Translating: /dev/sr0
2013-07-25 21:25:34,897 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:25:35,061 - DEBUG - ovirtfunctions - Translating: vda
2013-07-25 21:25:35,087 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:25:35,105 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:25:35,135 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:25:40,898 - DEBUG - ovirtfunctions - Translating: /dev/sr0
2013-07-25 21:25:40,912 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:25:41,060 - DEBUG - ovirtfunctions - Translating: vda
2013-07-25 21:26:00,512 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:00,522 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:03,415 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:03,433 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:03,452 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:03,463 - DEBUG - ovirtfunctions - Translating:
2013-07-25 21:26:07,642 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:26:07,657 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:26:07,665 - DEBUG - ovirtfunctions - Translating: /dev/vda
2013-07-25 21:32:34,721 - ERROR - ovirtfunctions - /config is not mounted
Comment 2 Douglas Schilling Landgraf 2013-07-25 22:55:01 EDT
Same happened with http://resources.ovirt.org/releases/3.3/iso/ovirt-node-iso-3.0.0-5.1.5.vdsm.el6.iso

Please let me know if you need any additional log.

Thanks!
Comment 3 Douglas Schilling Landgraf 2013-07-26 15:46:39 EDT
Mike, I was trying to install node on 8G space. I have increased the size and it doesn't show the error. On 2.6.x series we had  a check before proceed with installation and shows a message that the size of disk is not accurate for installation. Looks like we just need it to avoid this error.

Thanks!
Comment 4 Mike Burns 2013-07-26 15:56:46 EDT
Ok, so it's working as it's supposed to.  I'm guessing you had a relatively large swap size.
Comment 5 Douglas Schilling Landgraf 2013-07-26 16:02:34 EDT
humm, I am not sure if it's NOTABUG status. We should show to users a message (At least, in 2.6.x series we had.) that the space available to install the node is not enough instead of to show a message: "RunTimeError('Failed to partition/format')" and stop the installation in the middle. Is it possible?
Comment 6 Mike Burns 2013-07-26 16:06:34 EDT
(In reply to Douglas Schilling Landgraf from comment #5)
> humm, I am not sure if it's NOTABUG status. We should show to users a
> message (At least, in 2.6.x series we had.) that the space available to
> install the node is not enough instead of to show a message:
> "RunTimeError('Failed to partition/format')" and stop the installation in
> the middle. Is it possible?

agreed, but this won't be fixed for 2.6.x

In 3.0.0, it's a different installer and we catch that issue earlier in the installer.  We don't let you get to the install if you have bad partition sizes
Comment 7 Douglas Schilling Landgraf 2013-07-26 16:12:25 EDT
(In reply to Mike Burns from comment #6)
> (In reply to Douglas Schilling Landgraf from comment #5)
> > humm, I am not sure if it's NOTABUG status. We should show to users a
> > message (At least, in 2.6.x series we had.) that the space available to
> > install the node is not enough instead of to show a message:
> > "RunTimeError('Failed to partition/format')" and stop the installation in
> > the middle. Is it possible?
> 
> agreed, but this won't be fixed for 2.6.x

On 2.6.x it works.

> 
> In 3.0.0, it's a different installer and we catch that issue earlier in the
> installer.  We don't let you get to the install if you have bad partition
> sizes

Looks like it's not working, the bug is about  ovirt-node-iso-3.0.0-5.0.5.vdsm.fc19.iso.
Comment 8 Mike Burns 2013-07-26 16:25:53 EDT
OK, maybe it broke.  I thought you were using 2.6.x
Comment 9 Fabian Deutsch 2013-08-19 08:55:38 EDT
Douglas,

could you explain a bit more what you did to trigger this error?

I'm also installing node oin a VM with 8GB of storage.
Comment 10 Douglas Schilling Landgraf 2013-08-19 09:46:57 EDT
(In reply to Fabian Deutsch from comment #9)
> Douglas,
> 
> could you explain a bit more what you did to trigger this error?
> 
> I'm also installing node oin a VM with 8GB of storage.

In the time, just tried to install the node on 8GB of storage and triggered this report.
Comment 11 Darren Paxton 2013-09-17 13:27:33 EDT
Not sure if this should be an update or a new bug.

Just tried booting ovirt-node-iso-3.0.1-1.0.2.vdsm.el6.iso on a HP BL460C server with 20GB of RAM and a 136GB RAID1 disk array and had the same problem.

Should we be ok accepting the default storage layouts presented or customising?
Comment 12 Fabian Deutsch 2013-09-18 12:15:51 EDT
(In reply to Darren Paxton from comment #11)
> Not sure if this should be an update or a new bug.
> 
> Just tried booting ovirt-node-iso-3.0.1-1.0.2.vdsm.el6.iso on a HP BL460C
> server with 20GB of RAM and a 136GB RAID1 disk array and had the same
> problem.
> 
> Should we be ok accepting the default storage layouts presented or
> customising?

Hey,

thanks for your report. It could be the same bug.

Could please provide a screenshot of the volume page containing the szes for the different partitions?
I need to find out what the ratios are between the sizes to be able to reproduce it here.
Comment 13 Fabian Deutsch 2013-09-19 05:44:24 EDT
(Or just write down the numbers, instead of making a screenshot, which can be hard in the tui.)
Comment 14 Darren Paxton 2013-09-19 06:34:28 EDT
Hi

Screenshot easy enough with an ILO card.

I did try adjusting swap to something like 12GB and adding Data with remaining space but no joy.

I dont appear to be able to add attachments so here's a link to the screenshot.

http://i.imgur.com/QmZg1v7.png

Thanks

Darren
Comment 15 Fabian Deutsch 2013-09-20 03:42:38 EDT
We need some additional informations for further debugging, could you please do the following to get more debugging informations:

1. Boot the ISO as usual
2. When the installer TUI comes up, press F" and drop to a shell
3. Set a password for root
4. Now run: ovirt-node-installer --debug
   This will run the installer in debug mode (writing tons of infos
to /var/log/ovirt-node.debug.log).
5. Continue the installation as usual until you reach a problem, then:

6. Switch to a second console and login (the setup tui should come up)
7. Drop to shell by pressing F2
8. Please send the files
* /var/log/ovirt-node.debug.log
* /var/log/ovirt.log
* /tmp/ovirt.log (if available)

And - did you use the "Custom Device" item to enter a custom disk on any page?
Comment 16 Mike Burns 2013-09-20 07:01:44 EDT
(In reply to Fabian Deutsch from comment #15)
> We need some additional informations for further debugging, could you please
> do the following to get more debugging informations:
> 
> 1. Boot the ISO as usual
> 2. When the installer TUI comes up, press F" and drop to a shell

Should be "Press F2" ^^

> 3. Set a password for root
> 4. Now run: ovirt-node-installer --debug
>    This will run the installer in debug mode (writing tons of infos
> to /var/log/ovirt-node.debug.log).
> 5. Continue the installation as usual until you reach a problem, then:
> 
> 6. Switch to a second console and login (the setup tui should come up)
> 7. Drop to shell by pressing F2
> 8. Please send the files
> * /var/log/ovirt-node.debug.log
> * /var/log/ovirt.log
> * /tmp/ovirt.log (if available)
> 
> And - did you use the "Custom Device" item to enter a custom disk on any
> page?
Comment 17 Darren Paxton 2013-09-20 07:27:41 EDT
Created attachment 800451 [details]
ovirt-debuglog
Comment 18 Darren Paxton 2013-09-20 07:28:21 EDT
Created attachment 800453 [details]
/var/log/ovirt.log
Comment 19 Darren Paxton 2013-09-20 07:28:51 EDT
Created attachment 800454 [details]
/tmp/ovirt.log
Comment 20 Darren Paxton 2013-09-20 07:29:32 EDT
Attachments added as requested and for info, i tried both selecting the device and choosing from other, both ended up with the same behaviour.
Comment 21 Allen Belletti 2013-09-28 11:47:28 EDT
I encountered this same issue many times while installing to a Supermicro box with 2 x 250GB SATA disks.

The solution for me was wiping the GPT partition table.  I used dd to overwrite the last few hundred MB of each disk and then tried again.  Worked perfectly.

This was with 3.0.1-1.0.2.el6.

Allen
Comment 22 Fabian Deutsch 2013-09-30 08:43:09 EDT
Hey Haiyang,

have you possibly seen this bug?
Comment 23 Douglas Schilling Landgraf 2013-11-22 07:14:23 EST
Created attachment 827712 [details]
Nov22 2013 ovirt-node.log
Comment 24 Douglas Schilling Landgraf 2013-11-22 07:15:25 EST
Created attachment 827713 [details]
Nov22 2013 ovirt.log
Comment 25 Sandro Bonazzola 2014-03-04 04:18:03 EST
This is an automated message.
Re-targeting all non-blocker bugs still open on 3.4.0 to 3.4.1.
Comment 26 haiyang,dong 2014-03-09 23:20:07 EDT
(In reply to Fabian Deutsch from comment #22)
> Hey Haiyang,
> 
> have you possibly seen this bug?

Hey Fabian,
I didn't meet the similar issue before.
Comment 27 Fabian Deutsch 2014-04-30 06:31:35 EDT
This is possibly fixed in 3.0.4

Please reopen if necessary

Note You need to log in before you can comment on or make changes to this bug.